#

Function SOFTWARE-TYPE, SOFTWARE-VERSION

Syntax:

software-type <no arguments> => description

software-version <no arguments> => description

Arguments and Values:

description---a string or nil.

Description:

software-type returns a string that identifies the generic name of any relevant supporting software, or nil if no appropriate or relevant result can be produced.

software-version returns a string that identifies the version of any relevant supporting software, or nil if no appropriate or relevant result can be produced.

Examples:

     (software-type) =>  "Multics"
     (software-version) =>  "1.3x"

Side Effects: None.

Affected By:

Operating system environment.

Exceptional Situations: None.

See Also: None.

Notes:

This information should be of use to maintainers of the implementation.

Copyright 1996-2001, Xanalys Inc. All rights reserved.